dht::Logger Struct Reference
Collaboration diagram for dht::Logger:
[legend]

## Public Member Functions

void | setFilter (const InfoHash &f)
void | log0 (const LogMethod &logger, char const *format, va_list args) const
void | log1 (const LogMethod &logger, const InfoHash &f, char const *format, va_list args) const
void | log2 (const LogMethod &logger, const InfoHash &f1, const InfoHash &f2, char const *format, va_list args) const
void | d (char const *format,...) const
void | d (const InfoHash &f, char const *format,...) const
void | d (const InfoHash &f1, const InfoHash &f2, char const *format,...) const
void | w (char const *format,...) const
void | w (const InfoHash &f, char const *format,...) const
void | w (const InfoHash &f1, const InfoHash &f2, char const *format,...) const
void | e (char const *format,...) const
void | e (const InfoHash &f, char const *format,...) const
void | e (const InfoHash &f1, const InfoHash &f2, char const *format,...) const

## Public Attributes

LogMethod | DEBUG = NOLOG
LogMethod | WARN = NOLOG
LogMethod | ERR = NOLOG

## Detailed Description

Definition at line 87 of file log_enable.h.

## Member Function Documentation

## d() [1/3]

void dht::Logger::d | ( | char const * | format,
|  |  | ...
| ) |  | const

inline

Definition at line 113 of file log_enable.h.

## d() [2/3]

void dht::Logger::d | ( | const InfoHash & | f,
|  | char const * | format,
|  |  | ...
| ) |  | const

inline

Definition at line 121 of file log_enable.h.

## d() [3/3]

void dht::Logger::d | ( | const InfoHash & | f1,
|  | const InfoHash & | f2,
|  | char const * | format,
|  |  | ...
| ) |  | const

inline

Definition at line 129 of file log_enable.h.

## e() [1/3]

void dht::Logger::e | ( | char const * | format,
|  |  | ...
| ) |  | const

inline

Definition at line 161 of file log_enable.h.

## e() [2/3]

void dht::Logger::e | ( | const InfoHash & | f,
|  | char const * | format,
|  |  | ...
| ) |  | const

inline

Definition at line 169 of file log_enable.h.

## e() [3/3]

void dht::Logger::e | ( | const InfoHash & | f1,
|  | const InfoHash & | f2,
|  | char const * | format,
|  |  | ...
| ) |  | const

inline

Definition at line 177 of file log_enable.h.

## log0()

void dht::Logger::log0 | ( | const LogMethod & | logger,
|  | char const * | format,
|  | va_list | args
| ) |  | const

inline

Definition at line 95 of file log_enable.h.

## log1()

void dht::Logger::log1 | ( | const LogMethod & | logger,
|  | const InfoHash & | f,
|  | char const * | format,
|  | va_list | args
| ) |  | const

inline

Definition at line 101 of file log_enable.h.

## log2()

void dht::Logger::log2 | ( | const LogMethod & | logger,
|  | const InfoHash & | f1,
|  | const InfoHash & | f2,
|  | char const * | format,
|  | va_list | args
| ) |  | const

inline

Definition at line 107 of file log_enable.h.

## setFilter()

void dht::Logger::setFilter | ( | const InfoHash & | f | ) |

inline

Definition at line 91 of file log_enable.h.

## w() [1/3]

void dht::Logger::w | ( | char const * | format,
|  |  | ...
| ) |  | const

inline

Definition at line 137 of file log_enable.h.

## w() [2/3]

void dht::Logger::w | ( | const InfoHash & | f,
|  | char const * | format,
|  |  | ...
| ) |  | const

inline

Definition at line 145 of file log_enable.h.

## w() [3/3]

void dht::Logger::w | ( | const InfoHash & | f1,
|  | const InfoHash & | f2,
|  | char const * | format,
|  |  | ...
| ) |  | const

inline

Definition at line 153 of file log_enable.h.

## Member Data Documentation

## DEBUG

LogMethod dht::Logger::DEBUG = NOLOG

Definition at line 88 of file log_enable.h.

## ERR

LogMethod dht::Logger::ERR = NOLOG

Definition at line 90 of file log_enable.h.

## WARN

LogMethod dht::Logger::WARN = NOLOG

Definition at line 89 of file log_enable.h.

The documentation for this struct was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/log_enable.h